# Uses of Class
com.google.protobuf.GeneratedMessage

Packages that use GeneratedMessage
Package
Description
com.google.protobuf

## Uses of GeneratedMessage in com.google.protobuf

Classes in com.google.protobuf with type parameters of type GeneratedMessage
Modifier and Type
Class
Description
`class`
`RepeatedFieldBuilder<MType extends GeneratedMessage,BType extends GeneratedMessage.Builder,IType extends MessageOrBuilder>`
`RepeatedFieldBuilder` implements a structure that a protocol message uses to hold a repeated field of other protocol messages.
`class`
`SingleFieldBuilder<MType extends GeneratedMessage,BType extends GeneratedMessage.Builder,IType extends MessageOrBuilder>`
`SingleFieldBuilder` implements a structure that a protocol message uses to hold a single field of another protocol message.
Subclasses of GeneratedMessage in com.google.protobuf
Modifier and Type
Class
Description
`static class`
`GeneratedMessage.ExtendableMessage<MessageType extends GeneratedMessage.ExtendableMessage>`
Generated message classes for message types that contain extension ranges subclass this.
Methods in com.google.protobuf that return types with arguments of type GeneratedMessage
Modifier and Type
Method
Description
`Parser<? extends GeneratedMessage>`
GeneratedMessage.`getParserForType()`
Method parameters in com.google.protobuf with type arguments of type GeneratedMessage
Modifier and Type
Method
Description
`GeneratedMessage.FieldAccessorTable`
GeneratedMessage.FieldAccessorTable.`ensureFieldAccessorsInitialized(Class<? extends GeneratedMessage> messageClass, Class<? extends GeneratedMessage.Builder> builderClass)`
Ensures the field accessors are initialized.
Constructor parameters in com.google.protobuf with type arguments of type GeneratedMessage
Modifier
Constructor
Description
``
`FieldAccessorTable(Descriptors.Descriptor descriptor, String[] camelCaseNames, Class<? extends GeneratedMessage> messageClass, Class<? extends GeneratedMessage.Builder> builderClass)`
Construct a FieldAccessorTable for a particular message class.